#!/bin/sh
# Author:		和岩波
# Description:	单个固件包升级程序
# Date:			2019-10-28

set -x

WORK_DIR=`dirname $0`
LOG=/data/log/creator3-arm.log
FIRMWARE_M3=C3S_N32.bin

#检测机器的架构,错误马上退出
#CHECH_ARCH=`uname -m`
#if [ "${CHECH_ARCH}" != "armv7l" ];then
#    echo "Machine architecture error."
#    echo ${CHECH_ARCH}
#    exit 1
#fi

#检测内核版本，错误马上退出
#CHECH_KERNEL=`uname -r`
#if [ "${CHECH_KERNEL}" != "3.4.39+" ];then
#    echo "Kernel version error."
#    echo ${CHECH_KERNEL}
#    exit 1
#fi
echo "WORK_DIR="$WORK_DIR >> $LOG
if [ -f $WORK_DIR/NationsCommand ];then
	chmod a+x $WORK_DIR/NationsCommand
	if [ -f $WORK_DIR/$FIRMWARE_M3 ];then
		echo "burn M3 firmware..." >> $LOG
		$WORK_DIR/NationsCommand -c -d --fn $WORK_DIR/$FIRMWARE_M3 --v -r
	fi
fi

#VERSIONCFG=version.cfg

#if [ ! -f /opt/$VERSIONCFG ]; then
#        touch /opt/$VERSIONCFG
#        sync
#fi

#sleep 20
#echo "[VersionInfo]" > /opt/$VERSIONCFG
#echo "UpdateFlag=1" >> /opt/$VERSIONCFG
#echo "AbortFlag=0" >> /opt/$VERSIONCFG
#if [ -f /opt/play ]; then
#        echo "play complete music" >> $LOG
#        chmod a+x /opt/play
#        /opt/play -qws
#fi

#if [ -f /opt/end.img ];then
#    cat /opt/end.img > /dev/fb0
#fi


#exit 0
